Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Publish a dev theme

Promotes the dev theme to production. The current production theme is archived and the dev theme becomes the new live theme. Only available when store:publish_theme is present in the dev theme’s links.

PUT/themes/{id}/publication
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired

Dev theme ID

Responses
200

Theme published — returns the now-production theme

_linksHalLinks
idstring

Opaque theme identifier

linkedboolean

Whether this is a linked (inherited) theme

parent_idstring | null
productionboolean

true for the live/public theme

publicboolean

Alias for production

accessibleboolean
titlestring
settingsstring

Raw JSON string of theme settings

created_onstring<date-time>
updated_onstring<date-time>
_embeddedobject
Show properties
templatesThemeTemplate[]
Show properties
Array of ThemeTemplate
_linksHalLinks
idstring
file_namestring
pathstring
bodystring

Full template source code

is_sectionboolean
schemaobject

Present only when is_section is true — the section's configurable schema.

parent_commitstring | null
updated_onstring<date-time>
assetsThemeAsset[]
Show properties
Array of ThemeAsset
_linksHalLinks
idstring
file_namestring
content_typestring
file_sizeinteger
digeststring
urlstring

CDN URL for this asset

updated_onstring<date-time>
401

Unauthorized

403

Access denied

404

Theme not found

Try it
Server
Authorization
Parameters
Request
curl -X PUT 'https://api.onbolder.com/v2/themes/def456/publication' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": "string",
  "linked": true,
  "parent_id": "string",
  "production": true,
  "public": true,
  "accessible": true,
  "title": "string",
  "settings": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z",
  "_embedded": {
    "templates": [
      {
        "_links": {
          "property1": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          },
          "property2": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          }
        },
        "id": "string",
        "file_name": "layout.html",
        "path": "string",
        "body": "string",
        "is_section": true,
        "schema": {},
        "parent_commit": "string",
        "updated_on": "2019-08-24T14:15:22Z"
      }
    ],
    "assets": [
      {
        "_links": {
          "property1": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          },
          "property2": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          }
        },
        "id": "string",
        "file_name": "logo.png",
        "content_type": "image/png",
        "file_size": 0,
        "digest": "string",
        "url": "string",
        "updated_on": "2019-08-24T14:15:22Z"
      }
    ]
  }
}

Was this page helpful?